/* Copyright (c) 2015-present, salesforce.com, inc. All rights reserved
Licensed under BSD 3-Clause - see LICENSE.txt or git.io/sfdc-license */

import mdx from './input-checkbox.mdx';

export default {
  title: 'Product Subsystem/Components/Input Checkbox',
  parameters: {
    docs: {
      page: mdx,
    },
  },
  argTypes: {
    checked: {
      control: {
        type: 'boolean',
      },
      defaultValue: false,
    },
    disabled: {
      control: {
        type: 'boolean',
      },
      defaultValue: false,
    },
    required: {
      control: {
        type: 'boolean',
      },
      defaultValue: false,
    },
    invalid: {
      control: {
        type: 'boolean',
      },
      defaultValue: false,
    },
  },
};

export const Base = (args) => `
  <slds-input-checkbox
    name="example-name"
    value="example-value"
    id="example-id"
    ${args.checked ? 'checked' : ''}
    ${args.disabled ? 'disabled' : ''}
    ${args.required ? 'required' : ''}
    ${args.invalid ? 'invalid' : ''}
  >
  </slds-input-checkbox>
`;
